> For the complete documentation index, see [llms.txt](https://docs.cloudeka.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloudeka.ai/deka-gpu/deka-gpu-kubernetes/storages/persistent-volume-claims/how-to-create-a-new-persistent-volume-claim-use-cli.md).

# How to Create a New Persistent Volume Claim use CLI

A **Persistent Volume Claim (PVC)** is used to request storage resources from available Persistent Volumes in a Kubernetes cluster. Once created, the PVC can be used by applications and workloads that require persistent storage. This guide explains how to create a new Persistent Volume Claim using the Kubernetes Command Line Interface (CLI).

Download the preconfigured kubeconfig file from the **Deka GPU Service Portal** by clicking the following [link](/deka-gpu/deka-gpu-kubernetes/dashboard/download-kube-config.md).

Install **kubectl** according to your operating system:

* If you are using Windows, click the following [link](/reference/how-to-use-kubeconfig-on-windows.md).
* If you are using Linux, click the following [link](/reference/how-to-use-kubeconfig-on-linux.md).

After the kubeconfig file and kubectl are available, create a YAML file for the Persistent Volume Claim by running the following command:

```bash
nano pvc.yaml
```

Add the following configuration to the `pvc.yaml` file, you can customize the **name** on line 4, **storageClassName** on line 7 with **storage-mgmt**, and the **storage size** on line 12.

{% code lineNumbers="true" %}

```yaml
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: persistentvolumeclaim-o4il3
  namespace: default
spec:
  storageClassName: manual
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi
```

{% endcode %}

Review and modify the configuration as needed:

* **name**: Specifies the name of the Persistent Volume Claim.
* **storageClassName**: Specifies the StorageClass to be used.
* **storage**: Specifies the requested storage capacity.

Save the file after completing the configuration.

Apply the configuration by running the following command:

```bash
kubectl apply -f pvc.yaml
```

Once the command is executed successfully, the Persistent Volume Claim will be created and become available for use within the Kubernetes cluster.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloudeka.ai/deka-gpu/deka-gpu-kubernetes/storages/persistent-volume-claims/how-to-create-a-new-persistent-volume-claim-use-cli.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
